////////////////////////////////////////////////////////////////////////////
// CTxtColorMgr_txt クラスのインプリメンテーション
//
////////////////////////////////////////////////////////////////////////////

#include "TxtColorMgr_txt.h"

using namespace NLangExt;
using namespace NLangExt_txt;

////////////////////////////////////////////////////////////////////////////
// 構築/破棄
////////////////////////////////////////////////////////////////////////////

CTxtColorMgr_txt::CTxtColorMgr_txt()
{

}

CTxtColorMgr_txt::~CTxtColorMgr_txt()
{

}

////////////////////////////////////////////////////////////////////////////
// メソッド
////////////////////////////////////////////////////////////////////////////

// 初期化
bool CTxtColorMgr_txt::Initialize( VClsPtr< CConfigInfo > pConf )
{
	Color = pConf->RefNormalTextF_Color();
	return true;
}

// 使用する色の数を取得
int CTxtColorMgr_txt::GetColorCount() const
{
	return 1;
}

// 色を取得
Pixel CTxtColorMgr_txt::GetColor( int idx ) const
{
	assert( idx == 0 );
	return Color;
}

// 色情報から色のインデックスへ変換
int CTxtColorMgr_txt::TranseToIdx( unsigned char c ) const
{
	return 0;
}

// 初期状態で更新
void CTxtColorMgr_txt::InitiUpdate( T_LineData &rData ) const
{
	// 特にすることはない
}

// 文字列の更新に伴う色の更新
void CTxtColorMgr_txt::Update( T_LineData &rData, const T_SelRange &range ) const
{
	// なにもしない
}

